Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration.server
Class ServerRuntime

    java.lang.Object
      org.apache.cayenne.configuration.CayenneRuntime
          org.apache.cayenne.configuration.server.ServerRuntime

    public class ServerRuntime

extends CayenneRuntime

An object representing Cayenne server-stack that connects directly to the database via JDBC. This is an entry point for user applications to access Cayenne, which encapsulates the dependency injection internals. The term "server" is used as opposed to ROP "client" (see `ClientRuntime`). Any application, desktop, server, etc. that has a direct JDBC connection should be using this runtime.

Since:
  3.1

Field Summary

Fields inherited from class org.apache.cayenne.configuration.CayenneRuntime
`injector, modules`

Constructor Summary
`ServerRuntime(String configurationLocation, Collection<Module> extraModules)` Creates a server runtime configuring it with a standard set of services contained in `ServerModule`.
`ServerRuntime(String configurationLocation, Module... extraModules)` Creates a server runtime configuring it with a standard set of services contained in `ServerModule`.

Method Summary
`DataDomain` | `getDataDomain()` Returns the main runtime DataDomain.

Methods inherited from class org.apache.cayenne.configuration.CayenneRuntime
`getChannel, getContext, getContext, getInjector, getModules, mergeModules, mergeModules, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerRuntime

    public ServerRuntime(String configurationLocation,
                         Module... extraModules)

  Creates a server runtime configuring it with a standard set of services contained in `ServerModule`. CayenneServerModule is created with provided 'configurationLocation'. An optional array of extra modules may contain service overrides and/or user services.

### ServerRuntime

    public ServerRuntime(String configurationLocation,
                         Collection<Module> extraModules)

  Creates a server runtime configuring it with a standard set of services contained in `ServerModule`. CayenneServerModule is created with provided 'configurationLocation'. An optional array of extra modules may contain service overrides and/or user services.

Method Detail

### getDataDomain

    public DataDomain getDataDomain()

  Returns the main runtime DataDomain. Note that by default the returned DataDomain is the same as the main DataChannel returned by `CayenneRuntime.getChannel()`. Although users may redefine DataChannel provider in the DI registry, for instance to decorate this DataDomain with a custom wrapper.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.